/**
 * curriculum API
 */

import { restGet, restPost, restDelete, restPatch } from './restConsumer.js'

/**
 * Create a new curriculum (bundle of courses)
 * @param courses	list of courses
 */
export async function createcurriculum(courses){
	return restPost("/curriculum", {courses: courses} );
}

/**
 * Delete the specified curriculum
 */
export async function deletecurriculum(id){
	return restDelete("/curriculum/" + id);
}

export async function getAllCurriculums(){
  return restGet("/curriculums");
}

/**
 * Get informations on a particular curriculum
 *
 * @param id	identification of the curriculum
 *
 * @return list of courses 
 */
export async function getcurriculum(id){
	return restGet("/curriculum/" + id);
}

/**
 * Modify the courses of a curriculum
 *
 * @param id		the id of the curriculum
 * @param courses	list of new courses 
 */
export async function altercurriculum(id, courses){
	return restPatch("/curriculum/" + id, courses);
}
